=== debian/changelog ===
openscada (0.8.0.2-1) experimental; urgency=low

  * Build 0.8.0.2 update to production release.

 -- Roman Savochenko <rom_as@oscada.org>  Jul, 09 Mon 2012 10:00:00 +0200

openscada (0.8.0.1-1) experimental; urgency=low

  * Build 0.8.0.1 update to production release.

 -- Roman Savochenko <rom_as@oscada.org>  Jun, 09 Sat 2012 10:00:00 +0200

openscada (0.8.0-1) experimental; urgency=low

  * Version 0.8.0 build Debian packages for OpenSCADA.

 -- Roman Savochenko <rom_as@oscada.org>  Fri, 06 Apr 2012 16:00:00 +0200

openscada (0.7.2-1) experimental; urgency=low

  * Version 0.7.2 build Debian packages for OpenSCADA.

 -- Roman Savochenko <rom_as@oscada.org>  Mon, 05 Dec 2011 16:00:00 +0200

openscada (0.7.1-2) experimental; urgency=low

  * Model's AGLKS DB is fixed for start message about QTCfg wrong start page.

 -- Roman Savochenko <rom_as@oscada.org>  Mon, 15 Apr 2011 15:00:00 +0200

openscada (0.7.1-1) experimental; urgency=low

  * New source packages implementation is released.
  * Documentation separated by languages.
  * Libraries DB packages is added for *-LibDB.Main and *-LibDB.VCA.
  * Instead DemoDB package added Model's packages for "AGLKS" and "Boiler".

 -- Roman Savochenko <rom_as@oscada.org>  Mon, 14 Mar 2011 15:00:00 +0200

openscada (0.7.0-1) experimental; urgency=low

  * Version 0.7.0 build Debian packages for OpenSCADA.

 -- Roman Savochenko <rom_as@oscada.org>  Sat, 23 Oct 2010 19:05:00 +0200

openscada (0.6.4.2-1) experimental; urgency=low

  * Version 0.6.4.2 build Debian packages for OpenSCADA.

 -- Roman Savochenko <rom_as@oscada.org>  Sat, 29 May 2010 19:05:00 +0200

openscada (0.6.4.1-1) experimental; urgency=low

  * Initial release for build Debian packages for OpenSCADA.

 -- Roman Savochenko <rom_as@oscada.org>  Tue, 19 Jan 2010 12:18:46 +0200
